## hwdb-client 0.6

=== Makefile ===
srcdir = .
prefix = /usr
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
datadir = ${prefix}/share
docdir = $(datadir)/gnome/help/hwdb-client
desktopdir = $(datadir)/applications
pixmapsdir = $(datadir)/hwdb-client
soundsdir = $(datadir)/hwdb-client
uidir = $(datadir)/hwdb-client
pkgdatadir = $(datadir)/
pythondir = ${prefix}/lib/python2.4/site-packages
hwdb_clientdir = $(pythondir)/hwdb_client
mkdir_p = mkdir -p -- .
INSTALL = /usr/bin/install -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_DOC = /bin/cp -a
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
desktopDATA_INSTALL = $(INSTALL_DATA)
pixmapsDATA_INSTALL = $(INSTALL_DATA)
soundDATA_INSTALL = $(INSTALL_DATA)
docDATA_INSTALL = $(INSTALL_DOC)
uiDATA_INSTALL = $(INSTALL_DATA)
hwdb_clientPYTHON_INSTALL = $(INSTALL_DATA)

bin_SCRIPTS = hwdb-xml hwdb-gui hwdb-send
desktop_DATA = \
	hwdb.desktop
pixmaps_DATA = \
	canvas_bg.png \
	ubuntu_logo.png \
	hwdb_head.png \
	boot.png \
	comments.png \
	header_bg.png \
	keymap.png \
	mouse.png \
	net.png \
	sound.png \
	video.png \
	wlan.png \
	comment_bg.png \
	full_comment_bg.png \
	no.png \
	yes.png \
	lang.png \
	true.png \
	false.png \
	partial.png \
	neutral.png \
	assemble.png \
	hwdb.png \
	speaker_shadow.gif
ui_DATA = collector.glade\
	send.glade \
	questions_de.xml \
	questions_en.xml 
sound_DATA = ping.wav \
	sound.wav	
hwdb_client_PYTHON =\
	__init__.py \
	Constants.py \
	ClientForm.py
doc_DATA = doc/hwdb-client/*

install:  install-binSCRIPTS install-desktopDATA install-pixmapsDATA install-uiDATA install-hwdb_clientPYTHON install-soundDATA install-docDATA

uninstall:  uninstall-binSCRIPTS uninstal-desktopDATA uninstall-pixmapsDATA uninstall-uiDATA uninstall-soundDATA uninstall-docDATA

clean:
	rm -f *.pyc
	rm -f *.1

install-binSCRIPTS:
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f $$d$$p; then \
	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	    echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	    $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
	  else :; fi; \
	done
	
uninstall-binSCRIPTS:
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

install-desktopDATA: $(desktop_DATA)
	test -z "$(desktopdir)" || $(mkdir_p) "$(DESTDIR)$(desktopdir)"
	@list='$(desktop_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(desktopDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(desktopdir)/$$f'"; \
	  $(desktopDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(desktopdir)/$$f"; \
	done

uninstall-desktopDATA:
	@list='$(desktop_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(desktopdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(desktopdir)/$$f"; \
	done

install-pixmapsDATA: $(pixmaps_DATA)
	test -z "$(pixmapsdir)" || $(mkdir_p) "$(DESTDIR)$(pixmapsdir)"
	@list='$(pixmaps_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(pixmapsDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pixmapsdir)/$$f'"; \
	  $(pixmapsDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pixmapsdir)/$$f"; \
	done

uninstall-pixmapsDATA:
	@list='$(pixmaps_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(pixmapsdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(pixmapsdir)/$$f"; \
	done

install-soundDATA: $(sound_DATA)
	test -z "$(soundsdir)" || $(mkdir_p) "$(DESTDIR)$(soundsdir)"
	@list='$(sound_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(soundDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(soundsdir)/$$f'"; \
	  $(soundDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(soundsdir)/$$f"; \
	done

uninstall-soundDATA:
	@list='$(sound_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(soundsdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(soundsdir)/$$f"; \
	done
	
install-docDATA: $(doc_DATA)
	test -z "$(docdir)" || $(mkdir_p) "$(DESTDIR)$(docdir)"
	  $(docDATA_INSTALL) $(doc_DATA) "$(DESTDIR)$(docdir)/"; \

uninstall-docDATA:
	echo " rm -f '$(DESTDIR)$(docdir)/'"; \
	rm -f "$(DESTDIR)$(docdir)/"; \

install-uiDATA: $(ui_DATA)
	test -z "$(uidir)" || $(mkdir_p) "$(DESTDIR)$(uidir)"
	@list='$(ui_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(uiDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(uidir)/$$f'"; \
	  $(uiDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(uidir)/$$f"; \
	done

uninstall-uiDATA:
	@list='$(ui_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(uidir)/$$f'"; \
	  rm -f "$(DESTDIR)$(uidir)/$$f"; \
	done

install-hwdb_clientPYTHON: $(hwdb_client_PYTHON)
	test -z "$(hwdb_clientdir)" || $(mkdir_p) "$(DESTDIR)$(hwdb_clientdir)"
	@list='$(hwdb_client_PYTHON)'; dlist=''; for p in $$list; do\
	  if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
	  if test -f $$b$$p; then \
	    f=$(am__strip_dir) \
	    dlist="$$dlist $$f"; \
	    echo " $(hwdb_clientPYTHON_INSTALL) '$$b$$p' '$(DESTDIR)$(hwdb_clientdir)/$$f'"; \
	    $(hwdb_clientPYTHON_INSTALL) "$$b$$p" "$(DESTDIR)$(hwdb_clientdir)/$$f"; \
	  else :; fi; \
	done;

## hwdb-client 0.6-0ubuntu10

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 exec_prefix = ${prefix}
 bindir = ${exec_prefix}/bin
 datadir = ${prefix}/share
+localedir= ${datadir}/locale
 docdir = $(datadir)/gnome/help/hwdb-client
 desktopdir = $(datadir)/applications
 pixmapsdir = $(datadir)/hwdb-client
@@ -19,6 +20,7 @@
 binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
 desktopDATA_INSTALL = $(INSTALL_DATA)
 pixmapsDATA_INSTALL = $(INSTALL_DATA)
+moDATA_INSTALL = cp -r 
 soundDATA_INSTALL = $(INSTALL_DATA)
 docDATA_INSTALL = $(INSTALL_DOC)
 uiDATA_INSTALL = $(INSTALL_DATA)
@@ -63,14 +65,17 @@
 	Constants.py \
 	ClientForm.py
 doc_DATA = doc/hwdb-client/*
+mo_DATA = po/mo/*
 
-install:  install-binSCRIPTS install-desktopDATA install-pixmapsDATA install-uiDATA install-hwdb_clientPYTHON install-soundDATA install-docDATA
+
+install:  install-binSCRIPTS install-desktopDATA install-pixmapsDATA install-uiDATA install-hwdb_clientPYTHON install-soundDATA install-docDATA install-moDATA
 
 uninstall:  uninstall-binSCRIPTS uninstal-desktopDATA uninstall-pixmapsDATA uninstall-uiDATA uninstall-soundDATA uninstall-docDATA
 
 clean:
 	rm -f *.pyc
 	rm -f *.1
+
 
 install-binSCRIPTS:
 	@list='$(bin_SCRIPTS)'; for p in $$list; do \
@@ -81,7 +86,7 @@
 	    $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
 	  else :; fi; \
 	done
-	
+
 uninstall-binSCRIPTS:
 	@list='$(bin_SCRIPTS)'; for p in $$list; do \
 	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
@@ -136,7 +141,12 @@
 	  echo " rm -f '$(DESTDIR)$(soundsdir)/$$f'"; \
 	  rm -f "$(DESTDIR)$(soundsdir)/$$f"; \
 	done
-	
+
+install-moDATA: $(mo_DATA)
+	test -z "$(localedir)" || $(mkdir_p) "$(DESTDIR)$(localedir)"
+	  $(moDATA_INSTALL) $(mo_DATA) "$(DESTDIR)$(localedir)/"; \
+
+
 install-docDATA: $(doc_DATA)
 	test -z "$(docdir)" || $(mkdir_p) "$(DESTDIR)$(docdir)"
 	  $(docDATA_INSTALL) $(doc_DATA) "$(DESTDIR)$(docdir)/"; \

=== po/Makefile ===

DOMAIN=hwdb-client
PO_FILES := $(wildcard *.po)
CONTACT=hostmaster@grawert.net

all: update-po

# update the pot

$(DOMAIN).pot: POTFILES.in 
	xml2po ../questions_en.xml > $(DOMAIN).xml.pot	
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update  --pot -g $(DOMAIN) -o $(DOMAIN).pot
	msgcat $(DOMAIN).xml.pot $(DOMAIN).pot  > $(DOMAIN)-all.pot
	mv $(DOMAIN)-all.pot $(DOMAIN).pot

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	for lang in $(patsubst %.po,%,$(wildcard *.po)); do \
		XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update   -g  $(DOMAIN) --dist $$lang; \
	done

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 


# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))

=== debian/changelog ===
hwdb-client (0.6-0ubuntu10) dapper; urgency=low

  [ Michael Vogt ]
  * disable the translations again (causes to much breakage) 
    (closes malone #46878)

  [ Oliver Grawert ]
  * added a newline after "Improvement" (closes malone #38337)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 29 May 2006 12:31:48 +0200

hwdb-client (0.6-0ubuntu9) dapper; urgency=low

  * help/C/figure/*.png:
    - applied pngcrush, saves 1,9 MB uncompressed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 May 2006 10:42:13 +0200

hwdb-client (0.6-0ubuntu8) dapper; urgency=low

  * Build-depend on intltool for all these translatable changes.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 22 Mar 2006 18:11:52 +1100

hwdb-client (0.6-0ubuntu7) dapper; urgency=low

  * make the actual questions translatable as well 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Mar 2006 21:01:35 +0100

hwdb-client (0.6-0ubuntu6) dapper; urgency=low

  * add i18n support for the gui

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Mar 2006 18:06:22 +0100

hwdb-client (0.6-0ubuntu5) dapper; urgency=low

  * hwdb.desktop:
    - mask the menu entry (MenusRevisited).

 -- Sebastien Bacher <seb128@canonical.com>  Fri, 18 Nov 2005 16:57:01 +0100

hwdb-client (0.6-0ubuntu4) breezy; urgency=low

  * hwdb.desktop:
    updated, thanks to all the translators.
  * debian/control:
    - Bumped Standards-Version.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue,  4 Oct 2005 19:21:08 +0200

hwdb-client (0.6-0ubuntu3) breezy; urgency=low

  * added some backend bugfixes in the xml parser 

 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  1 Sep 2005 16:42:47 +0200

hwdb-client (0.6-0ubuntu2) hoary; urgency=low

  * reupload (fixes missing orig.tar.gz)

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Wed,  6 Apr 2005 06:46:59 +0200

hwdb-client (0.6-0ubuntu1) hoary; urgency=low

  * added gnome help files from Sean Wheller <sean@inwords.co.za>

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Wed,  6 Apr 2005 06:19:29 +0200

hwdb-client (0.5-0ubuntu6) hoary; urgency=low

  * added bzip2 compression to the datatranfer code (server and client)
  * uploads now go to hwdb.ubuntu.com, fallback mailadress
    is hwdb@ubuntu.com
  * added dependencys for:
    - python-glade2, xbase-clients, libxrandr2
  * hwdb-gui recognizes a present hwdb id and offers the online data
  * added copy to clipboard function to the gui
  * added help button to the gui 
  * hint about the collected data added to the statup text

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Wed,  6 Apr 2005 01:52:56 +0200

hwdb-client (0.5-0ubuntu5) hoary; urgency=low

  * hwdb.desktop:
    - translations update.

 -- Sebastien Bacher <seb128@canonical.com>  Mon,  4 Apr 2005 15:57:00 +0200

hwdb-client (0.5-0ubuntu4) hoary; urgency=low

  * wrote the upload code as well as the server
  * included ClientForm.py in the package from 
    http://wwwsearch.sourceforge.net/ClientForm/
  * uploads now get collected on http://www.lanschmiede.net/hwdb-data/
    as an interim solution until a canonical server is ready

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Tue, 29 Mar 2005 10:16:41 +0200

hwdb-client (0.5-0ubuntu3) hoary; urgency=low

  * excluded fglrx from video mode detection 

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Tue, 29 Mar 2005 00:53:34 +0200

hwdb-client (0.5-0ubuntu2) hoary; urgency=low

  * fixed the nasty fontsize bug in the caption
  * added a .desktop file to make KDE happy
  * fixed broken frequency detection for display settings
  * added hal dependency
  * fixed some minor packaging bugs (thanks Tollef)
  * changed all occurences of ubuntu to Ubuntu in the texts

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Mon, 28 Mar 2005 18:44:11 +0200

hwdb-client (0.5-0ubuntu1) hoary; urgency=low

  * made the tests actually useful
  * added tooltips for the radiobuttons
  * added half of the send code (drops file to desktop currently)
  * rearranged the test code to allow repetitive tests
  * blocked the partial selection (user must give a comment here)
  * dropped several non HW related questions
  * changed the text of the questions a bit
  * fixed a minor bug in the xml collection
  * fixed the xml to be clean for viewing in firefox
  * added the QA data as comment to the end of the xml file
  * added several device detections to be more informative
  * added screenresolution and display frequency
  * read soundcard info from /proc/asound/card0
  * determine the actually tested netdevice
  * fixed the crap with gnome sound not being able to cache the sample

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Wed, 16 Mar 2005 16:14:13 +0100

hwdb-client (0.4-0ubuntu1) hoary; urgency=low

  * added radio buttons for N/A and partial option
  * forgot to mention new fping dependency in last changelog
  * added color indication to the radiobuttons
  * added gui part of the data assembling function
  * cleaned up questionnaire

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Mon,  7 Mar 2005 02:46:17 +0100

hwdb-client (0.3-1ubuntu0) hoary; urgency=low

  * finished questionnaire, animations and tests

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Sun,  6 Mar 2005 01:09:26 +0100

hwdb-client (0.2-1ubuntu1) hoary; urgency=low

  * fixed typo in data file path
  * fixed typo in header image path

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Sun, 27 Feb 2005 01:45:50 +0100

hwdb-client (0.2-1ubuntu0) hoary; urgency=low

  * Added the questionnaire (xml and parser) to hwdb-gui

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Sun, 27 Feb 2005 01:04:28 +0100

hwdb-client (0.1-1ubuntu2) hoary; urgency=low

  * changed to arch all
  * fixed debian/rules and control according to the above

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Tue, 22 Feb 2005 14:43:27 +0100

hwdb-client (0.1-1ubuntu1) hoary; urgency=low

  * fixed packaging bugs 

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Mon, 21 Feb 2005 01:04:59 +0100



=== debian/control ===
Source: hwdb-client
Section: base
Priority: optional
Maintainer: Oliver Grawert (ogra) <hostmaster@grawert.net>
Build-Depends-Indep: debhelper (>= 4.0.0), docbook-to-man, intltool
Standards-Version: 3.6.2

Package: hwdb-client
Architecture: all
Depends: ${python:Depends}, python2.4-gnome2, python-glade2, fping, xbase-clients, hal, libxrandr2
Description: client programs for the Ubuntu Hardware Database
 Programs to collect device, config, logs and QA data
 for the Ubuntu Hardware Database.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


PKG=hwdb-client
DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure:
	dh_testdir
	# Add here commands to configure the package.

build: build-stamp

build-stamp: configure
	dh_testdir

	# Add here commands to compile the package.
	docbook-to-man debian/hwdb-xml.sgml > hwdb-xml.1
	docbook-to-man debian/hwdb-gui.sgml > hwdb-gui.1
	docbook-to-man debian/hwdb-send.sgml > hwdb-send.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	dh_installman hwdb-xml.1 hwdb-gui.1 hwdb-send.1

	# Add here commands to install the package into debian/hwdb-client.
	(cd po; make)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/hwdb-client


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
	tar -c --exclude=arch-build -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hwdb-client 0.6-0ubuntu16

=== debian/changelog ===
hwdb-client (0.6-0ubuntu16) edgy; urgency=low

  * Rebuild .pot files to include missing strings
    closes malone 62866

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Oct 2006 14:24:56 +0100

hwdb-client (0.6-0ubuntu15) edgy; urgency=low

  * Fix i18n, remove some debugging

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 30 Sep 2006 15:41:55 +0100

hwdb-client (0.6-0ubuntu14) edgy; urgency=low

  * Artwork fixes by Ken Wimer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed,  6 Sep 2006 12:06:52 +0100

hwdb-client (0.6-0ubuntu13) edgy; urgency=low

  * New Kubuntu artwork by Ken Wimer
  * Usability improvements suggested by Ellen

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  5 Sep 2006 16:54:01 +0100

hwdb-client (0.6-0ubuntu12) edgy; urgency=low

  * Fix clients for changed questions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Aug 2006 17:47:45 +0100

hwdb-client (0.6-0ubuntu11) edgy; urgency=low

  * Add KDE client for 
    https://launchpad.net/distros/ubuntu/+spec/kubuntu-hwdb
    bzr archive at http://kubuntu.org/~jriddell/bzr/hwdb/

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Aug 2006 14:05:18 +0100

=== debian/control ===
Source: hwdb-client
Section: base
Priority: optional
Maintainer: Oliver Grawert (ogra) <hostmaster@grawert.net>
Build-Depends-Indep: debhelper (>= 5), docbook-to-man, intltool
Standards-Version: 3.7.2

Package: hwdb-client-common
Architecture: all
Depends: ${python:Depends}, hal
Replaces: hwdb-client
Description: common files for Ubuntu Hardware Database client
 Programs to collect device, config, logs and QA data
 for the Ubuntu Hardware Database.
 .
 This package contains the common files shared between the 
 KDE and Gnome clients.

Package: hwdb-client-gnome
Architecture: all
Depends: ${python:Depends}, hwdb-client-common, python2.4-gnome2, python-glade2, fping, xbase-clients, libxrandr2
Replaces: hwdb-client, hwdb-client-common (<< 0.6-0ubuntu12)
Description: Gnome client programs for the Ubuntu Hardware Database
 Programs to collect device, config, logs and QA data
 for the Ubuntu Hardware Database.
 .
 This is the Gnome client

Package: hwdb-client-kde
Architecture: all
Depends: ${python:Depends}, hwdb-client-common, python-qt4, fping
Description: KDE client program for the Ubuntu Hardware Database
 Program to collect device, config, logs and QA data
 for the Ubuntu Hardware Database.
 .
 This is the KDE client.

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	rm -f *.1
 
 	dh_clean 
 
@@ -58,8 +58,7 @@
 
 	# Add here commands to install the package into debian/hwdb-client.
 	(cd po; make)
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/hwdb-client
-
+	mkdir -p $(CURDIR)/debian/tmp/usr/bin
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -72,7 +71,7 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-#	dh_install
+	dh_install
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate

## hwdb-client 0.6.10

=== debian/changelog ===
hwdb-client (0.6.10) feisty; urgency=low

  * Disable hwdb-client-common postinst for Feisty, the notification needs to
    be prettified. (LP: #105510)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 11 Apr 2007 15:50:18 +0200

hwdb-client (0.6.9) feisty; urgency=low

  * Add email.png (borrowed from Tango) to {,k}ubuntu-art/. (LP: #102061)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  9 Apr 2007 14:08:29 +0200

hwdb-client (0.6.8) feisty; urgency=low

  * debian/hwdb-client-common.postinst: Remove logging and set -x again, since
    current images do have the notification (apparently the livefs building
    just lagged behind a little).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  4 Apr 2007 10:48:36 +0200

hwdb-client (0.6.7) feisty; urgency=low

  * debian/hwdb-client-common.postinst: Activate set -x and output to
    /var/log/hwdb-client-common.log. This is a temporary hack to find out why
    the notification does not want to appear on the live system.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  2 Apr 2007 19:08:50 +0200

hwdb-client (0.6.6) feisty; urgency=low

  * Unbreak debian/rules for .po generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  5 Mar 2007 20:08:12 +0000

hwdb-client (0.6.5) feisty; urgency=low

  * Add a question asking for an e-mail address
  * Make it report on which *ubuntu-desktop packages are installed
  * Explicitly make .pot file
  * KDE Frontend:
    - nicer net test layout
    - Simplify front page text
    - Add a button to let the user view the data before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon,  5 Mar 2007 18:38:14 +0000

hwdb-client (0.6.4) feisty; urgency=low

  * debian/hwdb-client-common.postinst: Compare db_get return value against
    '!= false' instead of '= true' as a tentative attempt to fix the
    notification on the live CD.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 20 Feb 2007 11:51:14 +0100

hwdb-client (0.6.3) feisty; urgency=low

  * debian/hwdb-client-common.postinst: Fixed bashism.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 20 Feb 2007 10:53:25 +0100

hwdb-client (0.6.2) feisty; urgency=low

  * debian/hwdb-client-common.postinst: Do not generate notification on
    package upgrades.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Feb 2007 15:04:07 +0100

hwdb-client (0.6.1) feisty; urgency=low

  * Return to a sane version number for this native Ubuntu package.
  * increase-hwdb-participation spec implementation, take II:
    - Add debian/hwdb-participation.installnote: Update-notifier install note
      that now takes over the role of the former notification. This allows us
      to start hwdb-gui directly from the notification dialog.
    - debian/hwdb-client-common.install: Ship notification in
      /usr/share/hwdb-client/.
    - debian/hwdb-client-common.postinst: Drop the previous global 'do not
      show stamp'; instead, install the notification only if the debconf key
      is true. Also, filter out the '_' i18n field name prefixes here.
    - po/POTFILES.in: Add debian/hwdb-participation.installnote.
  * po/Makefile: Do not update po/*.po on every build. There is no benefit
    doing this, and it constantly generates noise in bzr.
  * hwdb.desktop{,.in}: Add NoDisplay to hide menu entry, as per
    revised increase-hwdb-participation spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Feb 2007 14:43:33 +0100

hwdb-client (0.6-0ubuntu23) feisty; urgency=low

  * (re)add #DEBHELPER# line to the postinst so pycentral can add its magic
    (why is that missing ??) so we hopefully have malone #83636 fixed now.
  * bump the versioned dependency on hwdb-client-common

 -- Oliver Grawert <ogra@ubuntu.com>  Thu,  8 Feb 2007 00:39:55 +0100

hwdb-client (0.6-0ubuntu22) feisty; urgency=low

  * fix wrong replaces line for hwdb-client-gnome
  * add versioned dependency for hwdb-client-gnome on hwdb-client-common 
    to make sure we pick up the python2.5 targeted version. 
    (fixes malone #83636)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed,  7 Feb 2007 21:46:28 +0100

hwdb-client (0.6-0ubuntu21) feisty; urgency=low

  * Add debian/hwdb-client-common.{templates,postinst}: Introduce a debconf
    key hwdb-client/notification. If set to false, a stamp file is created
    that causes update-notifier not to show the notification. This enables
    users to suppress the notification wit preseeding, as per
    increase-hwdb-participation spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  5 Feb 2007 15:20:44 +0100

hwdb-client (0.6-0ubuntu20) feisty; urgency=low

  * Add missing gnome-doc-utils build dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  5 Feb 2007 08:28:14 +0100

hwdb-client (0.6-0ubuntu19) feisty; urgency=low

  * hwdb.desktop{,.in}: Remove NoDisplay to restore menu entry, as per
    increase-hwdb-participation spec.
  * Fix gettext handling in po/Makefile:
    - Add top_srcdir to make current intltool-merge happy and fix FTBFS.
    - Add clean rule that removes generated mo files and call it in
      debian/rules. Also, remove the mo files and directories from bzr
      versioning.
    - Do not leave temporary hwdb-client.xml.pot behind.
    - Remove up pot file on clean.
    - Regenerate POT file in debian/rules (call make in po/).
    - Remove POT files from bzr versioning.
  * debian/control, debian/rules: Convert to new Python policy and switch to
    cdbs while at it, which shrinks rules to the relevant bits. Also create
    debian/hwdb-client-common.manpages instead of fiddling with dh_installman
    in rules.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  1 Feb 2007 14:12:38 +0100

hwdb-client (0.6-0ubuntu18) feisty; urgency=low

  * Temporarily ignore failure building po files.
  * Build using python-central.
  * Remove explicit build dependencies on versioned python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 21:09:53 +0100

hwdb-client (0.6-0ubuntu17) feisty; urgency=low



## hwdb-client 0.6.10.1

=== debian/changelog ===
hwdb-client (0.6.10.1) feisty-proposed; urgency=low

  * Fix unicode encoding error when comments use non-ascii characters
    https://bugs.launchpad.net/ubuntu/+source/hwdb-client/+bug/91948

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Apr 2007 16:40:42 +0100

## hwdb-client 0.6.11

=== debian/changelog ===
hwdb-client (0.6.11) gutsy; urgency=low

  * Upload feisty-updates fix to gutsy

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 May 2007 09:12:24 +0100

## hwdb-client 0.6.11.1

=== debian/changelog ===
hwdb-client (0.6.11.1) gutsy-proposed; urgency=low

  * Fix screen resolution detection (Closes: LP#17595)
    Add debian/patches/01_fix_resolution_detection.diff
    Patch based on work from Basilio Kublik <sourcercito@gmail.com> and 
    Rafael Sachetto <rsachetto@gmail.com>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 24 Oct 2007 15:56:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: base
 Priority: optional
 Maintainer: Oliver Grawert (ogra) <hostmaster@grawert.net>
-Build-Depends-Indep: debhelper (>= 5), docbook-to-man, intltool
+Build-Depends-Indep: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), docbook-to-man, gnome-doc-utils, intltool
 Standards-Version: 3.7.2
+XS-Python-Version: all
 
 Package: hwdb-client-common
 Architecture: all
 Depends: ${python:Depends}, hal
 Replaces: hwdb-client
+XB-Python-Version: ${python:Versions}
 Description: common files for Ubuntu Hardware Database client
  Programs to collect device, config, logs and QA data
  for the Ubuntu Hardware Database.
@@ -18,8 +20,7 @@
 
 Package: hwdb-client-gnome
 Architecture: all
-Depends: ${python:Depends}, hwdb-client-common, python2.4-gnome2, python-glade2, fping, xbase-clients, libxrandr2
-Replaces: hwdb-client, hwdb-client-common (<< 0.6-0ubuntu12)
+Depends: ${python:Depends}, hwdb-client-common (>= 0.6-0ubuntu23), python-gnome2, python-glade2, fping, xbase-clients, libxrandr2
 Description: Gnome client programs for the Ubuntu Hardware Database
  Programs to collect device, config, logs and QA data
  for the Ubuntu Hardware Database.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

binary-install/hwdb-client-common::
	dh_pycentral -phwdb-client-common

common-post-build-indep::
	make -C po
	docbook-to-man debian/hwdb-xml.sgml > hwdb-xml.1
	docbook-to-man debian/hwdb-gui.sgml > hwdb-gui.1
	docbook-to-man debian/hwdb-send.sgml > hwdb-send.1

clean::
	make -C po clean
	rm -f *.1

## hwdb-client 0.6.14

=== po/Makefile ===

DOMAIN=hwdb-client
PO_FILES := $(wildcard *.po)
CONTACT=hostmaster@grawert.net
top_srcdir=..

all: build-mo

# update the pot

$(DOMAIN).pot: POTFILES.in 
	xml2po ../questions_en.xml > $(DOMAIN).xml.pot	
	INTLTOOL_EXTRACT=/usr/bin/intltool-extract XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update  --pot -g $(DOMAIN) -o $(DOMAIN).pot
	msgcat $(DOMAIN).xml.pot $(DOMAIN).pot  > $(DOMAIN)-all.pot
	rm $(DOMAIN).xml.pot
	mv $(DOMAIN)-all.pot $(DOMAIN).pot

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	for lang in $(patsubst %.po,%,$(wildcard *.po)); do \
		INTLTOOL_EXTRACT=/usr/bin/intltool-extract XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update   -g  $(DOMAIN) --dist $$lang; \
	done

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 


# dummy target 
build-mo: $(DOMAIN).pot $(patsubst %.po,%.mo,$(wildcard *.po))

clean:
	rm -rf mo
	rm -f $(DOMAIN).pot

=== debian/changelog ===
hwdb-client (0.6.14) hardy; urgency=low

  * Fixed typo LP: #64179 
  * Thanks to Paul Schulz for the patch

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Thu, 13 Mar 2008 11:07:02 +1100

hwdb-client (0.6.13build1) hardy; urgency=low

  * Rebuild with recent python-central.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Mar 2008 12:45:56 +0000

hwdb-client (0.6.13) hardy; urgency=low

  * add missing replaces to hwdb-client to fix file overwrite
    problems in dapper->hardy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Nov 2007 19:02:39 +0100

hwdb-client (0.6.12) hardy; urgency=low

  * Sync with patch from gutsy-updates
    Closes LP: #17595

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Nov 2007 18:04:33 +0000

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 Package: hwdb-client-gnome
 Architecture: all
 Depends: ${python:Depends}, hwdb-client-common (>= 0.6-0ubuntu23), python-gnome2, python-glade2, fping, xbase-clients, libxrandr2
+Replaces: hwdb-client (<< 0.6.0ubuntu11)
 Description: Gnome client programs for the Ubuntu Hardware Database
  Programs to collect device, config, logs and QA data
  for the Ubuntu Hardware Database.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 binary-install/hwdb-client-common::
 	dh_pycentral -phwdb-client-common
